/*
Nesta primeira etapa, vamos ligar o buzzer.
Ele está conectado no pino 10 (lado positivo) e no GND (lado negativo) em série com um resistor de 100 ohms.
*/
#define pinoBuzzer 10 // se você ligou em outro pino, ajuste aqui

void setup() {
  pinMode(pinoBuzzer, OUTPUT);  // é uma saída
  somPerdeu(); //executa a função 'somPerdeu'
  delay(800); // aguarda 800 ms
  somGanhou();//executa a função 'somGanhou'
}

void loop() {

}

void somPerdeu(){
  //do código da SparkFun
  tone(pinoBuzzer, 130, 250);   //E6
  delay(275);
  tone(pinoBuzzer, 73, 250);   //G6
  delay(275);
  tone(pinoBuzzer, 65, 150);   //E7
  delay(175);
  tone(pinoBuzzer, 98, 500);   //C7
  delay(500);
}

void somGanhou(){
  //do código da SparkFun
  tone(pinoBuzzer, 1318, 150);   //E6
  delay(175);
  tone(pinoBuzzer, 1567, 150);   //G6
  delay(175);
  tone(pinoBuzzer, 2637, 150);   //E7
  delay(175);
  tone(pinoBuzzer, 2093, 150);   //C7
  delay(175);
  tone(pinoBuzzer, 2349, 150);   //D7
  delay(175);
  tone(pinoBuzzer, 3135, 500);   //G7
  delay(500);
}
